/* -------------------------------------------------------------------	*/
/* Copyright (C) 2007 Robert R. Bruner.  All rights reserved.		*/
/* Contact the author at						*/
/*                    rrb@math.wayne.edu				*/
/*                    Dept of Mathematics				*/
/*                    Wayne State University				*/
/*                    Detroit, Michigan  48202				*/
/*                    USA						*/
/*									*/
/* Version 1.8								*/
/* -------------------------------------------------------------------- */

#include <stdio.h>
#include <stdlib.h>

#include <errors.h>

main(argc,argv) int argc; char *argv[];

{

int n,i,j,g;
FILE *Out;

/* -------------- check calling sequence -----------------------------  */
if (argc != 3) 
{
  fprintf(stderr, "\nUsage:  Qi n Def\n\n");
  fprintf(stderr, "  Writes the dual question mark module with n+1 cells\n");
  fprintf(stderr, "  in the file Def.  The module's generators are\n");
  fprintf(stderr, "  connected by  Sq^1, Sq^2, in order, working our way\n");
  fprintf(stderr, "  down from the top cell in degree -1.  The bottom cell\n");
  fprintf(stderr, "  will be in degree -2^n\n");
  fprintf(stderr, "  It is dual to a truncation of the free unstable module\n");
  fprintf(stderr, "  on a class of degree 1.\n\n");
  exit(1);
}

/* ------------------ get range --------------------------------------- */

sscanf(argv[1],"%d",&n);

/* ------------------ open Def --------------------------------------- */

if ((Out = fopen(argv[2],"w")) == NULL)
{
  fprintf(stderr,"\nCannot open %s to write\n\n",argv[2]);
  exit(1);
}

/* ------------------ Now write header  ------------------------------ */

fprintf(Out,"%d\n",n+1);

for (i=1,g=1; i <= n; i++,g+=g);
for (i=1; i <= g; i+=i)
{
  fprintf(Out,"-%d ",g/i);
}
fprintf(Out,"\n\n");

/* ------------------ write Sq^n(g)   ------------------------------ */

for (i=1,g=1; i < n; i++,g+=g);
for (i=0,j=1; i < n; i++,j+=j)
  fprintf(Out,"%d %d 1 %d\n",i,g/j,i+1);

/* --------------------------- Done   ------------------------------ */


fclose(Out);
   
}



