/* -------------------------------------------------------------------	*/
/* Copyright (C) 2000 Robert R. Bruner.  All rights reserved.		*/
/* Contact the author at						*/
/*                    rrb@math.wayne.edu				*/
/*                    Dept of Mathematics				*/
/*                    Wayne State University				*/
/*                    Detroit, Michigan  48202				*/
/*                    USA						*/
/*									*/
/* Version 1.6								*/
/* -------------------------------------------------------------------- */



#include <stdio.h>
#include <stdlib.h>

#include <errors.h>


int main(argc,argv) int argc; char *argv[];
{ FILE *inputfile, *outputfile;
  int numgen, deg, gen, min;

  if (argc != 3)
  { fprintf(stderr,"\nError: readdef takes two arguments\n");
    fprintf(stderr,"   readdef definition_file Diff_file\n");
    exit(1);
  }

  if (NULL == (inputfile=fopen(argv[1],"r")))
  { fprintf(stderr,"\nCannot open module definition: %s\n",argv[1]);
    exit(BAD_FILE);
   }

  fscanf(inputfile, "%d", &numgen);
  if (numgen <= 0)
  { fprintf(stderr,"\nModule must have a positive number of generators\n");
    exit(2);
  }

  fscanf(inputfile, "%d ",&min);
  for (gen=1;gen<numgen;gen++)
  { fscanf(inputfile, "%d ",&deg);
    if (min > deg) min =deg;
  }

  if (NULL == (outputfile=fopen(argv[2],"w")))
  { fprintf(stderr,"\nCannot write Diff file: %s \n",argv[2]);
    exit(BAD_FILE);
   }

  fprintf(outputfile," %9d %9d\n",0,min-1);
  fclose(outputfile);
  return(0);
}
