/* -------------------------------------------------------------------	*/
/* Copyright (C) 2000 Robert R. Bruner.  All rights reserved.		*/
/* Contact the author at						*/
/*                    rrb@math.wayne.edu				*/
/*                    Dept of Mathematics				*/
/*                    Wayne State University				*/
/*                    Detroit, Michigan  48202				*/
/*                    USA						*/
/*									*/
/* Version 1.6								*/
/* -------------------------------------------------------------------- */


#include <stdio.h>
#include <stdlib.h>

#include <errors.h>

char Status_fmt[] = "%10d";   /* format of status in files Im and Ker */

main(argc,argv) int argc; char *argv[];
{
                /* prints on stdout the number of elements of deg t     */
                /* writes them all on Ker                               */
int numgen, gen, deg, t, i, count=0;
FILE *inputfile,*Ker;
char message[100];

/* -------------- check calling sequence and get args ----------------  */
if (argc != 3)
{ fprintf(stderr,"\nWrong number %d of args  Should be 2.\n",argc-1);
  for (i=0;i<argc;i++) fprintf(stderr,"%3d: %s\n",i,argv[i]);
  exit(1);
}
sscanf(argv[1],"%d",&t);

if ((Ker = fopen(argv[2],"w")) == NULL)
{    sprintf(message,"\nError opening %s ",argv[2]);
     terminate(message,BAD_MODULE);
}
fprintf(Ker,Status_fmt,0);

if (NULL == (inputfile=fopen("Def","r")))
    terminate("\nCannot open module definition: Def\n" ,BAD_FILE);

fscanf(inputfile, "%d", &numgen);

for (gen=0; gen<numgen; gen++)
{  fscanf(inputfile, "%d ",&deg);
   if (deg == t)
   { count++;
     fprintf(Ker,"\n%d 0\n1\n%d 0 1 x80\n",gen,gen);
   }
}
printf("%d\n",count);
rewind(Ker);
fprintf(Ker,Status_fmt,1);
return;
}

