/* -------------------------------------------------------------------	*/
/* Copyright (C) 2000 Robert R. Bruner.  All rights reserved.		*/
/* Contact the author at						*/
/*                    rrb@math.wayne.edu				*/
/*                    Dept of Mathematics				*/
/*                    Wayne State University				*/
/*                    Detroit, Michigan  48202				*/
/*                    USA						*/
/*									*/
/* Version 1.6								*/
/* -------------------------------------------------------------------- */

#include <stdio.h>
#include <stdlib.h>

char Diff_hdr[] = "%10d %10d";   /* format of header in Diff files    */


main(argc,argv) int argc; char *argv[];
{
int  i,s,t,nread,
     dim_codomain, dim_domain, degree_done;
FILE *Diff;                  /* Diff.s-1 and then Diff.s               */
char filename[20],message[100];

/* -------------- check calling sequence -----------------------------  */
if (argc != 3) {
  printf("\nWrong number %d of args  Should be 2.\n",argc-1);
  for (i=0;i<argc;i++) fprintf(stderr,"%3d: %s\n",i,argv[i]);
  return(1);
 }
/* ------------------------------ get s,t ------------------------------ */

sscanf(argv[1],"%d",&s);
sscanf(argv[2],"%d",&t);

/* Check previous filtration for completness,                            */

if (s > 0) {
   sprintf(filename,"Diff.%d",s-1);
   if ((Diff = fopen(filename,"r")) == NULL) {
      printf("\n1\n");
      return(1);
     }

   if ((nread = fscanf(Diff,Diff_hdr,&dim_codomain,&degree_done)) != 2) {
      printf("\n1\n");
      return(1);
     }

   if (degree_done < t) {
      printf("\n1\n");
      return(1);
     }
   fclose(Diff);
                  /* done:  Diff.s-1 is ready                          */
}

/* Check this filtration for completeness,                             */

sprintf(filename,"Diff.%d",s);
if ((Diff = fopen(filename,"r")) == NULL) {
      printf("\n1\n");
      return(1);
}

if ((nread = fscanf(Diff,Diff_hdr,&dim_domain,&degree_done)) != 2) {
      printf("\n1\n");
      return(1);
}

if (degree_done < t - 1) {
      printf("\n1\n");
      return(1);
}

fclose(Diff);

printf("\n0\n");
return(0);
}
